<template>
  <div id="scope-select">
    <div>
      <search-scope-select-item
        :isActive="isActive('combined')"
        routeTo="Combined"
        :count="getTotalCount"
        labelKey="message.search.scopeTitle.combined"
        :queryParams="queryParams('combined')"
      />
      <search-scope-select-item
        :isActive="isActive('dataset')"
        routeTo="Datasets"
        :count="getDatasetsCount"
        labelKey="message.header.navigation.data.datasets"
        :queryParams="queryParams('dataset')"
      />
      <search-scope-select-item
        v-if="useCatalogs"
        :isActive="isActive('catalogue')"
        routeTo="Catalogues"
        :count="getCatalogsCount"
        labelKey="message.header.navigation.data.catalogs"
        :queryParams="queryParams('catalogue')"
      />
      <search-scope-select-item
        :isActive="isActive('editorialContent')"
        :href="`/${this.$route.query.locale}/search?term=${this.$route.query.query || ''}&searchdomain=site`"
        :count="getEditorialContentCount"
        labelKey="message.searchTabs.editorialContent"
      />
    </div>
  </div>
</template>

<script>
import SearchScopeSelectItem from "@/components/search/search-filters/SearchScopeSelectItem";
import {mapGetters} from "vuex";
export default {
  name: "SearchScopeSelectBar",
  components: {SearchScopeSelectItem},
  props: {
    config: Object
  },
  data() {
    return {
      useCatalogs: this.$env.content.datasets.useCatalogs,
      textKeys: {
        // combined: "message.header.navigation.data.combined",
        dataset: "message.header.navigation.data.datasets",
        catalogue: "message.header.navigation.data.catalogs",
        editorialContent: "message.searchTabs.editorialContent",
      }
    }
  },
  computed: {
    ...mapGetters("datasets", ["getDatasetsCount"]),
    ...mapGetters("search", ["getEditorialContentCount", "getTotalCount"]),
    ...mapGetters("catalogs", ["getCatalogsCount"]),
    currentTextKey() {
      return this.textKeys[this.config.scope];
    }
  },
  methods: {
    // catalogueRouteQuery() {
    //   if (this.$route.query.superCatalog === 'erpd') {
    //     return { superCatalog: 'erpd', locale: this.$route.query.locale }
    //   } else if (this.$route.path.endsWith('catalogues/erpd')) {
    //     return { superCatalog: 'erpd', showsubcatalogs: true, locale: this.$route.query.locale }
    //   } else {
    //     return { locale: this.$route.query.locale };
    //   }
    // },
    isActive(scope) {
      return scope === this.config.scope;
    },
    queryParams(scope) {
      if (this.$route.query.superCatalog === "erpd" || (this.$route.query.superCatalog?.length > 0 && this.$route.query.superCatalog[0] === "erpd")) {
        if (scope === 'catalogue' || scope === 'dataset' || scope === 'combined') return {superCatalog: "erpd"};
      }
    }
  }
}
</script>

<style lang="scss" scoped>

#scope-select {
  margin-bottom: 2rem;

  > div {
    border: 1px solid #aaa;
    margin-left: 13px;
    display: flex;
    flex-direction: row;
    list-style-type: none;
    border-radius: 4px;
  }
}

.nav-item > a {
  padding: .7rem;
}

@media screen and (max-width: 767.5px) {
  #scope-select > div {
    border-color: #0e47cb;
    margin-left: 0;
  }
}

</style>
